lusernet.app (0.4.3-2build2) questing; urgency=medium

  * Rebuild against latest gnustep

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 08:35:46 -0400

lusernet.app (0.4.3-2build1) plucky; urgency=medium

  * Rebuild against new multiarch framework.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 17:42:02 +0100

lusernet.app (0.4.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.6.0, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Yavor Doganov ]
  * Run wrap-and-sort -ast.
  * debian/control (Build-Depends): Bump gnustep-make requirement to (>=
    2.9.2-2) for dh_gnustep's --app option.  Add imagemagick for the app
    icon conversion.  Add dpkg-build-api (= 1).
    (Standards-Version): Bump to 4.7.0; no changes needed.
  * debian/rules (override_dh_link): Rename as...
    (exectute_before_dh_link): ...and run dh_gnustep --app.
    (override_dh_auto_build): Create a PNG icon to fix an AppStream error.
  * debian/install: New file; install the .desktop file and the PNG icon.
  * debian/clean: New file; delete the PNG icon.
  * debian/LuserNET.desktop (Icon): Use the PNG icon.
  * debian/copyright: Add Upstream-Contact; update copyright years.
  * debian/gbp.conf: New file.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 04 Oct 2024 00:40:31 +0300

lusernet.app (0.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches applied upstream:
    - missing-includes.patch;
    - link-order.patch;
    - modern-objc-api.patch.
  * debian/patches/pantomime1.2.patch: Remove most hunks which were
    applied upstream.  Retain only two which were skipped but are still
    important; see #489879.  Fix memory leaks there.
  * debian/patches/gcc-warnings.patch: Remove hunks applied upstream; fix
    another warning.
  * debian/patches/spelling-fixes.patch: New; self-explanatory.
  * debian/patches/no-crypto.patch: New; don't link with libcrypto.
  * debian/patches/series: Update:
  * debian/menu: Delete as per current Policy requirement.
  * debian/compat: Bump to 12.
  * debian/control (Build-Depends): Drop imagemagick.  Replace
    libpantomime1.2-dev with libpantomime-dev.  Bump debhelper requirement
    to match the compat level.  Add gnustep-make >= 2.7.0-4 for proper
    support for "terse" in DEB_BUILD_OPTIONS.
    (Depends): Drop $(gnustep:Depends}; obsolete.
    (Homepage): Set to the GNUstep wiki article.
    (Vcs-Git, Vcs-Browser): Update following the migration to Salsa.
    (Standards-Version): Claim compliance with 4.3.0 as of this release.
  * debian/rules: Don't convert and install an .xpm icon for the menu.
    Switch to modern dh; enable all hardening.  Install upstream Changes
    file as NEWS as it contains user-visible changes.
  * debian/watch: Switch to Savannah.
  * debian/changelog: Whitespace cleanup.
  * debian/copyright: Add copyright/license notice for the icon; thanks
    Paul Gevers.  Update copyright years; add more copyright holders.
    Switch to HTTPS; update source location.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 25 Jan 2019 10:13:43 +0200

lusernet.app (0.4.2-7) unstable; urgency=medium

  * Ack NMU, thanks Colin Watson.
  * debian/source/format: Switch to 3.0 (quilt).
  * debian/control (Build-Depends): Remove dpatch.
    (Vcs-Arch): Replace with Vcs-Git and Vcs-Browser.
    (Homepage): Remove; not accessible.
    (Standards-Version): Compliant with 3.9.5 as of this release.
  * debian/rules: Don't include dpatch.mk.  Enable hardening.
    (clean): Merge the clean-patched recipe here.
    (build-arch, build-indep): New targets as required by Policy.
  * debian/patches/00list:
  * debian/patches/05_pantomime1.2.dpatch:
  * debian/patches/07_missing-includes.dpatch:
  * debian/patches/10_mark_string_as_translatable.dpatch:
  * debian/patches/20_bg_translation.dpatch:
  * debian/patches/30_link_order.dpatch:
  * debian/patches/40_modern_objc_api.dpatch: Rename/quiltify as...
  * debian/patches/series:
  * debian/patches/pantomime1.2.patch:
  * debian/patches/missing-includes.patch:
  * debian/patches/mark-string-as-translatable.patch:
  * debian/patches/bg-translation.patch:
  * debian/patches/link-order.patch:
  * debian/patches/modern-objc-api.patch: ...and add DEP-3 headers.
  * debian/patches/gcc-warnings.patch: New (Closes: #749758).
  * debian/README.source: Delete.
  * debian/watch: Update for the new upstream location, even though
    there's no release yet.
  * debian/LuserNET.desktop: Add Keywords field.
  * debian/copyright: Switch to format 1.0.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 11 Jun 2014 03:38:26 +0300

lusernet.app (0.4.2-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/30_link_order.dpatch: Fix link order with 'ld
    --as-needed' (closes: #633556, LP: #771011).
  * debian/patches/40_modern_objc_api.dpatch: Use the modern GNU Objective-C
    API (closes: #633557).

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Jun 2013 18:22:12 +0100

lusernet.app (0.4.2-6) unstable; urgency=medium

  * debian/patches/07_missing-includes.dpatch: Update to fix FTBFS with
    gnustep-base/1.20.1 (Closes: #593048).
  * debian/control (Standards-Version): Set to 3.9.1 (no changes needed).

 -- Yavor Doganov <yavor@gnu.org>  Tue, 24 Aug 2010 18:39:30 +0300

lusernet.app (0.4.2-5) unstable; urgency=low

  * debian/patches/07_missing-includes.dpatch: Simplify a bit and fix
    FTBFS with gnustep-base/1.20.0 (Closes: #581956).
  * debian/compat: Set to 7.
  * debian/control (Build-Depends): Bump debhelper accordingly.  Remove
    version requirement for libgnustep-gui-dev.
    (Section): Change to `gnustep'.
    (Depends): Add ${gnustep:Depends}.
    (Description): Extend.
    (Standards-Version): Compliant to 3.8.4 as of this release.
    (Vcs-Arch): New field.
  * debian/LuserNET.desktop: Set version to 1.0.
  * debian/rules: Export GNUSTEP_MAKEFILES and remove gs_make usage.
    (OBJCFLAGS): Do not define; use debug=yes conditionally.
    (install): Replace dh_clean -k with dh_prep.
  * debian/source/format:
  * debian/README.source:
  * debian/watch: New file.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 19 May 2010 10:42:03 +0300

lusernet.app (0.4.2-4) unstable; urgency=low

  * debian/control (Section): Set to `news' to match the override file.
    (Maintainer): Adopt package; set to the GNUstep team (Closes:
    #454274).
    (Uploaders): Change my email address.
    (Build-Depends): Wrap all dependencies and bump libgnustep-gui-dev to
    >= 0.14.
    (Standards-Version): Package is compliant to 3.8.0 (no changes
    needed).
    (Conflicts, Replaces): Remove; not needed for the upgrade from Etch.
  * debian/rules: Do not indent the make conditional.
    (d_app): Define for convenience.
    (LDFLAGS): Define to -Wl,-z,defs -Wl,--as-needed.
    (build-stamp): Use gs_make and LDFLAGS.  Pass ADDITIONAL_OBJCFLAGS
    instead of OBJCFLAGS to make `noopt' DTRT.
    (clean): Likewise.  Move the commands to the `clean-patched' rule and
    reorder the prerequisites.
    (install): Use $(d_app) for DESTDIR and use gs_make directly.
    (binary-arch): Adjust the conditional to check for GS_USE_FHS.
  * debian/patches/07_missing-includes.dpatch: New, fixes FTBFS with the
    current core libraries (Closes: #489696).
  * debian/patches/05_pantomime1.2.dpach: Make viewing and posting
    articles work again following changes in the Pantomime decoding
    engine; previous NSString instances are always NSData instances now.
    (Closes: #489879).
  * debian/patches/00list: Update.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 09 Jul 2008 20:20:58 +0300

lusernet.app (0.4.2-3) unstable; urgency=low

  * debian/control (Build-Depends): Use versioned dependency on
    libgnustep-gui-dev (>= 0.12.0).  Removed gnustep-make; it is always
    pulled in by libgnustep-base-dev.
    (Section): Moved to `net' where it belongs.
    (Depends): Added ${misc:Depends}.
    (Description): Moved Homepage...
    (Homepage): ...to its own field, now supported by dpkg.
  * debian/rules (CFLAGS): Removed, upstream's flags are sane.
    (OBJCFLAGS): Set conditionally and pass optimization flag to $(MAKE).
    (build-stamp, clean, install): Do not source GNUstep.sh, use
    GNUSTEP_MAKEFILES instead.
    (clean): Invoke $(MAKE) distclean only when $(GS_MAKE_DIR) is
    defined.
    (install): Use the standard variable DESTDIR and
    GNUSTEP_INSTALLATION_DOMAIN instead of GNUSTEP_INSTALLATION_DIR.
    Remove the invalid .desktop file generated by pl2link and install our
    own in usr/share/applications.  Also remove the unused dh_installdirs
    invocation.
    (binary-arch): Removed dh_link invocation; the app wrapper is no
    longer needed.  Replaced GS_SYSTEM_ROOT with GNUSTEP_SYSTEM_APPS.
  * debian/LuserNET.desktop: New file.
  * debian/menu: Updated for the new policy -- changed from `Apps/Net' to
    `Applications/Network/Communication'.
  * debian/preinst: Deleted; upgrades from Etch should work flawlessly.

 -- Yavor Doganov <yavor@doganov.org>  Sat, 20 Oct 2007 17:15:19 +0300

lusernet.app (0.4.2-2) unstable; urgency=low

  * To properly move the Resources dir to /usr/share, include a preinst
    script which Hubert Chan wrote originally for gnumail.app.
  * Remove the lintian override, it is not necessary anymore.
  * debian/patches:
    + 05_pantomime1.2.dpatch: Removed a useless space at the shebang line.
    + 10_mark_string_as_translatable.dpatch: Added, to mark one string as
      translatable.
    + 20_bg_translation.dpatch: Added Bulgarian translation.

 -- Yavor Doganov <yavor@doganov.org>  Tue, 21 Nov 2006 21:16:25 +0200

lusernet.app (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU, thanks Luk Claes (Closes: #350435, #356531).
  * Build-depend on libgnustep-gui-dev instead on libgnustep-gui0.10-dev.
  * Upgrade to debhelper v5, bump debian/compat and the build-dependency.
  * Drop the configure target from debian/rules.
  * Use dpatch for patch management, build-depend on dpatch:
    + debian/patches/05_pantomime1.2.dpatch: Add a slightly modified patch
      from Sergey Golovin <svgol@mail.ru>, syncing LuserNET to Pantomime 1.2.
  * Build-depend on libpantomime1.2-dev.  Bye-bye, pantomime-dev.
  * Escape "ü" in the manpage to fix a lintian warning.
  * Include /usr/share/GNUstep/debian/config.mk in debian/rules.
  * Append "messages=yes" to $(MAKE).
  * Remove dh_installexamples.
  * Remove the redundant file debian/dirs.
  * Install the new ChangeLog as changelog.gz, move Changes to debian/docs
    and rename/compress it as changelog.old.gz.
  * Move Resources to /usr/share/GNUstep/LuserNET.app and make a
    compatibility symlink.
  * Replace the symlink to /usr/bin/gnustep-app-wrapper with the
    future-proof one provided by gnustep-common.
  * Convert the .tiff icon to .xpm format and add it to debian/menu; add a
    longtitle as well.  Build-depend on imagemagick for that.
  * Add a homepage to the long description.
  * Sanitize debian/copyright: clarify Copyright vs. License and add the
    GPL license header.
  * Add myself to uploaders; thanks, Gürkan, for the vote of confidence.
  * Bump Standards-Version to 3.7.2 (no changes needed).

 -- Yavor Doganov <yavor@doganov.org>  Thu, 28 Sep 2006 01:45:43 +0300

lusernet.app (0.4.1-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * Update build-dep of libgnustep-gui (Closes: #350435).
  * Use gsdh_gnustep.

 -- Luk Claes <luk@debian.org>  Sun, 12 Mar 2006 17:16:20 +0100

lusernet.app (0.4.1-4) unstable; urgency=low

  * Renamed source package to lusernet.app.
  * Updated manual page.
  * Fixed debian/copyright.
  * Updated debian/control build-depends for GNUstep 0.9.4.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 22 Dec 2004 00:41:23 +0100

lusernet (0.4.1-3) unstable; urgency=high

  * Updated for latest gnustep
  * Renamed binary package to lusernet.app. (Closes: #265634)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun,  8 Aug 2004 12:52:22 +0200

lusernet (0.4.1-2) unstable; urgency=low

  * Added gnustep-make to build-depends. (Closes: #240391)
  * Dropped .app from debian/menu.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sat, 27 Mar 2004 14:39:59 +0100

lusernet (0.4.1-1) unstable; urgency=low

  * Initial Release. (Closes: #179093)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 30 Dec 2003 21:55:44 +0100
